#ifndef str_h
#define str_h

#define CHUNK 16

typedef struct string_s {
	char *s;
	size_t l;
	size_t a;
}String;

void str_init(String *str);
void str_make(String *str,char *s);
void str_maken(String *str,char *s,int n);
void str_free(String *str);
void str_clear(String *str);
void str_addchar(String *str,char c);
void str_add(String *str,char *s);
void str_addstr(String *str,String *s);
void str_dup(String *newstr,String *str);
int cmpstart(String *str,const char *pattern);
int cmpend(String *str,const char *pattern);

#endif
