# acinclude.m4

AC_DEFUN([AC_QMAIL],
[

AC_ARG_WITH(qmail-queue, 
[  --with-qmail-queue=PATH path to qmail-queue ],
	qmail_queue=$withval ,

	qmail_queue="/var/qmail/bin/qmail-queue"
	dnl	AC_MSG_CHECKING("for qmail-queue")
	dnl
	dnl	AC_PATH_PROG(qmail_queue, "qmail-queue", "none", $PATH:/usr/sbin:/usr/lib/qmail:/var/qmail/bin)
	dnl	
	dnl	if test "$(qmail_queue)" = "none" ; then
	dnl		AC_MSG_ERROR("not found")
	dnl	fi
	dnl	
	dnl	AC_MSG_RESULT("$(qmail_queue)")
)

AC_ARG_WITH(controldir, 
[  --with-controldir=DIR   qmail control directory ] ,
	controldir=$withval,
	
	controldir="none"
	
	AC_CHECK_FILE(/var/qmail/control/me,controldir="/var/qmail/control")
	
	if test "$controldir" = "none" ; then
		AC_MSG_ERROR("qmail control dir not found")
	fi
)

AC_SUBST(controldir)
AC_SUBST(qmail_queue)

])

