#include <malloc.h>
#include <stdio.h>
#include "lst.h"

List *lst_append(List *lst,String *str){
List *new_lst;

	new_lst=(List *)malloc(sizeof(List));
	if (new_lst==NULL){
		fprintf(stderr,"qmail-superbounce: Out of memory\n");
		exit(111);
	}
	str_dup(&new_lst->string,str);
	if (lst==NULL){
		new_lst->next=NULL;
		new_lst->prev=NULL;
		return new_lst;
	}
	new_lst->prev=lst;
	new_lst->next=lst->next;
	lst->next=new_lst;

	return new_lst;
}

List * lst_first(List *lst){

	if (lst==NULL) return lst;
	while(lst->prev) lst=lst->prev;
	return lst;
}
